| LicenseSpring Management .Net SDK 1.16.1 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Public Member Functions | List of all members
LicenseSpring.ILicenseDetailsArrayWrapper Interface Reference

LicenseDetailsArrayWrapper interface, helper interface for COM interop. More...

Inheritance diagram for LicenseSpring.ILicenseDetailsArrayWrapper:

## Public Member Functions
void | Add (uint index, string LicenseKey, LicenseUser[] LicenseUsers, string ValidityDuration, string ValidityEndDate, string MaintenanceDuration, ConsumptionPeriod ConsumptionPeriod, uint MaxConsumptions, uint MaxOverages, int MaxTransfers, ProductFeature[] Features, LicenseType Type, uint MaxActivations, bool PreventVM, bool IsTrial, bool EnableMaintenancePeriod, bool AllowOverages, bool ResetConsumption, CustomField[] CustomFields)
| Create LicenseDetails object and add it to array.
LicenseDetails[] | GetArray ()
| Get current array of LicenseDetails objects.
void | Init (uint size)
| Initialize array of provided size.

## Detailed Description

LicenseDetailsArrayWrapper interface, helper interface for COM interop.

## Member Function Documentation

## ◆ Add()

void LicenseSpring.ILicenseDetailsArrayWrapper.Add | ( | uint | index,
|  | string | LicenseKey,
|  | LicenseUser[] | LicenseUsers,
|  | string | ValidityDuration,
|  | string | ValidityEndDate,
|  | string | MaintenanceDuration,
|  | ConsumptionPeriod | ConsumptionPeriod,
|  | uint | MaxConsumptions,
|  | uint | MaxOverages,
|  | int | MaxTransfers,
|  | ProductFeature[] | Features,
|  | LicenseType | Type,
|  | uint | MaxActivations,
|  | bool | PreventVM,
|  | bool | IsTrial,
|  | bool | EnableMaintenancePeriod,
|  | bool | AllowOverages,
|  | bool | ResetConsumption,
|  | CustomField[] | CustomFields
| ) |  |

Create LicenseDetails object and add it to array.

Parameters correspond to LicenseDetails properties

Implemented in LicenseSpring.LicenseDetailsArrayWrapper.

## ◆ GetArray()

LicenseDetails[] LicenseSpring.ILicenseDetailsArrayWrapper.GetArray | ( |  | ) |

Get current array of LicenseDetails objects.

Returns
  Array of LicenseDetails objects

Implemented in LicenseSpring.LicenseDetailsArrayWrapper.

## ◆ Init()

void LicenseSpring.ILicenseDetailsArrayWrapper.Init | ( | uint | size | ) |

Initialize array of provided size.

Parameters

  size | Array size

Implemented in LicenseSpring.LicenseDetailsArrayWrapper.

The documentation for this interface was generated from the following file:

- ILicenseDetails.cs